package com.common.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

@Data
@TableName(value = "p_scene")
public class Scene {
    @TableId
    @ApiModelProperty(value = "主键")
    private Integer id;
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+08:00")
    @TableField("create_at")
    @ApiModelProperty(value = "创建时间")
    private Date createAt;
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+08:00")
    @TableField("update_at")
    @ApiModelProperty(value = "修改时间")
    private Date updateAt;
    @TableField("scene_name")
    @ApiModelProperty(value = "技能名称")
    private String sceneName;
    @TableField("scene_remark")
    @ApiModelProperty(value = "备注")
    private String sceneRemark;
    @ApiModelProperty(value = "角色串")
    private String roles;
    @TableField("model_notes")
    @ApiModelProperty(value = "模型说明")
    private String modelNotes;
    @TableField("file_url")
    @ApiModelProperty(value = "文件地址")
    private String fileUrl;
    @ApiModelProperty(value = "版本")
    private String version;
    @TableField("contribution_name")
    @ApiModelProperty(value = "贡献者姓名")
    private String contributionName;
    @TableField("scene_type")
    @ApiModelProperty(value = "技能类别 1定制 2永洪 ")
    private Short sceneType;
    @TableField("scene_url")
    @ApiModelProperty(value = "技能URL")
    private String sceneUrl;
    @TableField("scene_skin")
    @ApiModelProperty(value = "场景皮肤")
    private String sceneSkin;
    @TableField("icon_url")
    @ApiModelProperty(value = "icon地址")
    private String iconUrl;
    @TableField("create_by")
    @ApiModelProperty(value = "创建人")
    private String createBy;
    @TableField("update_by")
    @ApiModelProperty(value = "更新人")
    private String updateBy;
    @ApiModelProperty(value = "删除标记：0-未删除 1-已删除")
    private Short deleted;
    @TableField("scene_operation")
    @ApiModelProperty(value = "技能类型 智能脑，聪明口，灵活手，千里眼")
    private String sceneOperation;
    @TableField("scene_order")
    @ApiModelProperty(value = "排序")
    private Integer sceneOrder;
    @TableField("scene_code")
    @ApiModelProperty(value = "场景编码")
    private String sceneCode;
    @TableField("scene_tag")
    @ApiModelProperty(value = "场景标签")
    private String sceneTag;
}
