package com.common.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.OffsetDateTime;
import java.util.Set;

@Data
@TableName(value = "p_user")
public class User {
    @TableId
    @ApiModelProperty(value = "用户主键")
    private Integer id;
    @TableField("user_id")
    @ApiModelProperty(value = "用户编号")
    private String userId;
    @TableField("login_name")
    @ApiModelProperty(value = "用户名(登录账号)")
    private String loginName;
    @TableField("login_password")
    @ApiModelProperty(value = "用户密码(登录密码)")
    private String loginPassword;
    @TableField("user_name")
    @ApiModelProperty(value = "用户姓名")
    private String userName;
    @TableField("mobile_number")
    @ApiModelProperty(value = "手机号")
    private String mobileNumber;
    @TableField("police_number")
    @ApiModelProperty(value = "警员编号(警号)")
    private String policeNumber;
    @TableField("id_number")
    @ApiModelProperty(value = "身份证号")
    private String idNumber;
    @ApiModelProperty(value = "是否启用 0-未启用 1-启用")
    private String effective;
    @TableField("department_id")
    @ApiModelProperty(value = "所属单位编号")
    private String departmentId;
    @TableField("job_title")
    @ApiModelProperty(value="职称")
    private String jobTitle;
    @TableField("role_level")
    @ApiModelProperty(value="等级：0 系统用户 1 派出所 2 分局")
    private String roleLevel;
    @ApiModelProperty(value = "用户角色，role id以逗号拼接")
    private Set<String> roles;
    //与其它实体类型和命名不一致
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+08:00")
    @TableField("create_time")
    @ApiModelProperty(value="角色列表")
    private OffsetDateTime createTime;
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+08:00")
    @TableField("update_time")
    @ApiModelProperty(value="角色列表")
    private OffsetDateTime updateTime;

}
